umbrello: UMLAttributeDialog Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLAttributeDialog Class Reference

`#include <umlattributedialog.h>`

Inheritance diagram for UMLAttributeDialog:

## Public Slots
void | slotNameChanged (const QString &)
void | slotStereoTextChanged (const QString &)

## Public Member Functions
| UMLAttributeDialog (QWidget *pParent, UMLAttribute *pAttribute)
| ~UMLAttributeDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
void | setupDialog ()
bool | apply ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Protected Attributes
UMLAttribute * | m_pAttribute
QGridLayout * | m_pValuesLayout
QGroupBox * | m_pValuesGB
QLabel * | m_pNameL
QLabel * | m_pInitialL
QLineEdit * | m_pNameLE
QLineEdit * | m_pInitialLE
QCheckBox * | m_pStaticCB
UMLDatatypeWidget * | m_datatypeWidget
UMLStereotypeWidget * | m_stereotypeWidget
QLabel * | m_pTagL [N_STEREOATTRS]
QLineEdit * | m_pTagLE [N_STEREOATTRS]
VisibilityEnumWidget * | m_visibilityEnumWidget
DocumentationWidget * | m_docWidget
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)

## Detailed Description

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLAttributeDialog()

UMLAttributeDialog::UMLAttributeDialog | ( | QWidget * | pParent,
|  | UMLAttribute * | pAttribute
| ) |  |

## ◆ ~UMLAttributeDialog()

UMLAttributeDialog::~UMLAttributeDialog | ( |  | ) |

## Member Function Documentation

## ◆ apply()

bool UMLAttributeDialog::apply | ( |  | ) |
| protectedvirtual

Checks if changes are valid and applies them if they are, else returns false

Reimplemented from SinglePageDialogBase.

## ◆ setupDialog()

void UMLAttributeDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog

## ◆ slotNameChanged

void UMLAttributeDialog::slotNameChanged | ( | const QString & | _text | ) |
| slot

## ◆ slotStereoTextChanged

void UMLAttributeDialog::slotStereoTextChanged | ( | const QString & | stereoText | ) |
| slot

## Member Data Documentation

## ◆ m_datatypeWidget

UMLDatatypeWidget* UMLAttributeDialog::m_datatypeWidget
| protected

## ◆ m_docWidget

DocumentationWidget* UMLAttributeDialog::m_docWidget
| protected

## ◆ m_pAttribute

UMLAttribute* UMLAttributeDialog::m_pAttribute
| protected

The Attribute to represent

## ◆ m_pInitialL

QLabel * UMLAttributeDialog::m_pInitialL
| protected

## ◆ m_pInitialLE

QLineEdit * UMLAttributeDialog::m_pInitialLE
| protected

## ◆ m_pNameL

QLabel* UMLAttributeDialog::m_pNameL
| protected

## ◆ m_pNameLE

QLineEdit* UMLAttributeDialog::m_pNameLE
| protected

## ◆ m_pStaticCB

QCheckBox* UMLAttributeDialog::m_pStaticCB
| protected

## ◆ m_pTagL

QLabel* UMLAttributeDialog::m_pTagL[N_STEREOATTRS]
| protected

## ◆ m_pTagLE

QLineEdit* UMLAttributeDialog::m_pTagLE[N_STEREOATTRS]
| protected

## ◆ m_pValuesGB

QGroupBox* UMLAttributeDialog::m_pValuesGB
| protected

## ◆ m_pValuesLayout

QGridLayout* UMLAttributeDialog::m_pValuesLayout
| protected

## ◆ m_stereotypeWidget

UMLStereotypeWidget* UMLAttributeDialog::m_stereotypeWidget
| protected

## ◆ m_visibilityEnumWidget

VisibilityEnumWidget* UMLAttributeDialog::m_visibilityEnumWidget
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlattributedialog.h
- umbrello/dialogs/umlattributedialog.cpp